# Groups

## Create Group

<mark style="color:green;">`POST`</mark> `https://b2b-api.loopcv.com/connect/group`

This endpoint creates a Loop. You can pass a name.

#### Headers

| Name                                        | Type   | Description       |
| ------------------------------------------- | ------ | ----------------- |
| X-API-KEY<mark style="color:red;">\*</mark> | String | Authorization Key |

#### Request Body

| Name                                      | Type    | Description                                                     |
| ----------------------------------------- | ------- | --------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>    | String  | Name of the group                                               |
| title<mark style="color:red;">\*</mark>   | String  | List of titles                                                  |
| location                                  | String  | List of locations                                               |
| country<mark style="color:red;">\*</mark> | String  | Name of the country                                             |
| type<mark style="color:red;">\*</mark>    | String  | 'Full-time', 'Contract', 'Part-time', 'Temporary', 'Internship' |
| level<mark style="color:red;">\*</mark>   | String  | 'Junior', 'Associate', 'Senior'                                 |
| matchlevel                                | Integer |                                                                 |
| keywords                                  | String  | List of keywords                                                |
| onlyRemote                                | Boolean | Remote jobs                                                     |
| distanceRadius                            | Integer | Set maximum job location's distance from user's location        |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{
    groupId: "The unique identifier of the group",
    groupName: "groupName"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal error" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="409: Conflict Duplicate of the group name" %}

{% endtab %}

{% tab title="422: Unprocessable Entity Missing name" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.loopcv.com/reference/api-reference/groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
